Bug 8302 - Add accesssion number to the drop down list in OPAC Search.
Summary: Add accesssion number to the drop down list in OPAC Search.
Status: In Discussion
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Meenakshi
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-25 05:19 UTC by Meenakshi
Modified: 2015-02-23 07:15 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Attaching patch (1.42 KB, patch)
2012-06-25 05:19 UTC, Meenakshi
Details | Diff | Splinter Review
Attaching the latest patch. (1.39 KB, patch)
2012-09-12 10:35 UTC, Meenakshi
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8302 - Add accesssion number(barcode) to the drop down list in OPAC Search. (1.50 KB, patch)
2012-09-18 16:44 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Meenakshi 2012-06-25 05:19:03 UTC Comment hidden (obsolete)
Comment 1 Colin Campbell 2012-06-28 13:55:25 UTC
Actually the patch adds a barcode search. That is not necessarily what a given library calls its accession number
Comment 2 Katrin Fischer 2012-06-28 14:01:25 UTC
Hi Meenakshi, please remember to tick the "patch" checkbox when uploading a patch or use "git bz". This way the patch can be viewed corrrectly in Bugzilla.
I think the description should probably be changed to barcode, because that's what Koha's term for that field. Also we already have a barcode search option in the staff search.
Comment 3 Jared Camins-Esakov 2012-08-27 19:48:04 UTC
I don't think that "Accession no." is a good label for the search, since -- as Colin noted -- you're actually searching for barcodes. Also, I don't think this belongs in the masthead search for most libraries. Perhaps you would do better to add this option using jQuery?
Comment 4 Meenakshi 2012-09-12 10:35:13 UTC Comment hidden (obsolete)
Comment 5 Marc Véron 2012-09-18 16:44:23 UTC
Created attachment 12319 [details] [review]
[SIGNED-OFF] Bug 8302 - Add accesssion number(barcode) to the drop down list in OPAC Search.

Files Modified:
i)koha-tmpl/opac-tmpl/prog/en/includes/masthead.inc:

Test cases:
i)select Barcode in drop down list and enter a exist barcode, check the results.
ii)select Barcode in drop down list and enter a non-exist barcode, check the results.

Signed-off-by: Marc Veron <veron@veron.ch>

Works as expected.
Comment 6 Owen Leonard 2012-09-18 16:54:07 UTC
Discussion of this and Bug 8778:
http://lists.koha-community.org/pipermail/koha-devel/2012-September/038042.html
Comment 7 Indranil Das Gupta 2015-02-23 00:35:40 UTC
The "Library Catalog" (default) search option will search quite successfully for an item's barcode (952$p). IMHO, this is redundant. Still, the same functionality can be achieved by a single line of jQuery placed into opacuserjs

$("select[name='idx']").append("<option value='bc'>Barcode</option>");

Setting the bug status to RESOLVED WONTFIX
Comment 8 Mason James 2015-02-23 02:00:38 UTC
(In reply to Indranil Das Gupta from comment #7)
> The "Library Catalog" (default) search option will search quite successfully
> for an item's barcode (952$p). IMHO, this is redundant. Still, the same
> functionality can be achieved by a single line of jQuery placed into
> opacuserjs
> 
> $("select[name='idx']").append("<option value='bc'>Barcode</option>");


that solution will not work for a multi-language Koha install

so, not resolved?
Comment 9 David Cook 2015-02-23 05:40:18 UTC
(In reply to Mason James from comment #8)
> (In reply to Indranil Das Gupta from comment #7)
> > The "Library Catalog" (default) search option will search quite successfully
> > for an item's barcode (952$p). IMHO, this is redundant. Still, the same
> > functionality can be achieved by a single line of jQuery placed into
> > opacuserjs
> > 
> > $("select[name='idx']").append("<option value='bc'>Barcode</option>");
> 
> 
> that solution will not work for a multi-language Koha install
> 
> so, not resolved?

I imagine a lot of people don't think it should be added to the masthead search, so I suppose the other alternative would be for them to roll their release with translated templates.
Comment 10 Katrin Fischer 2015-02-23 05:53:38 UTC
Hi David, thx for thinking about translations. :)

Actually, you can do that with a little bit more jQuery, also checking for the selected language. I do that a lot to provide German and English when I add something to the OPAC.

I think I agree that we should not add another option to the masthead search, when it's available in advanced search.
Comment 11 Indranil Das Gupta 2015-02-23 07:13:41 UTC
(In reply to Katrin Fischer from comment #10)
> Hi David, thx for thinking about translations. :)
> 
> Actually, you can do that with a little bit more jQuery, also checking for
> the selected language. I do that a lot to provide German and English when I
> add something to the OPAC.
> 
> I think I agree that we should not add another option to the masthead
> search, when it's available in advanced search.

exactly what I would do, so +1
Comment 12 Indranil Das Gupta 2015-02-23 07:15:03 UTC
(In reply to Mason James from comment #8)
> (In reply to Indranil Das Gupta from comment #7)
> > The "Library Catalog" (default) search option will search quite successfully
> > for an item's barcode (952$p). IMHO, this is redundant. Still, the same
> > functionality can be achieved by a single line of jQuery placed into
> > opacuserjs
> > 
> > $("select[name='idx']").append("<option value='bc'>Barcode</option>");
> 
> 
> that solution will not work for a multi-language Koha install
> 
> so, not resolved?

Does http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=8302#c10 work for you? :-)